#exemples de code
#dans un éditeur python (par ex. pyzo), lancer les deux fichiers main3.py et calc_matrices.py .
#écrire les exemples suivants dans la console


##affichage d'un complexe dans la fenetre de visualisation
C = segment(5)        #ex : simplex(4), sphere(2), torus(), circle(), klein_bottle(), mobius_strip(),
C.animate()

##produit géométrique : C*D

##coproduit : C+D

##somme connexe
C, i =connected_sum([torus(), torus()])  #tore à deux trous
C.animate()

#le seul moyen de sortir de la fenêtre est d'arrêter le programme